FERAISEEXCEPT(3)

NAME
feraiseexcept - raise floating-point exception

SYNOPSIS

#include <fenv.h>

int feraiseexcept(int excepts);

DESCRIPTION

This method attempts to raise the floating-point exceptions specified in excepts.

RETURNS

If the excepts argument is zero or all requested exceptions were successfully raised, this method returns zero. Otherwise, a non-zero value is returned.

PORTABILITY

ANSI C requires feraiseexcept.

Not all Newlib targets have a working implementation. Refer to the file sys/fenv.h to see the status for your target.